    Two-dimensional un-normalised Lorentz function.

lorentz2d
>>> create_model_component("lorentz2d", "mdl")
>>> print(mdl)

Create a component of the lorentz2d model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.fwhm thawed 10 1.17549e-38 3.40282e+38 mdl.xpos thawed 0 -3.40282e+38 3.40282e+38 mdl.ypos thawed 0 -3.40282e+38 3.40282e+38 mdl.ellip frozen 0 0 0.999 mdl.theta frozen 0 -6.28319 6.28319 radians mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
fwhm
The full-width half maximum.
xpos
The center of the model on the x0 axis.
ypos
The center of the model on the x1 axis.
ellip
The ellipticity of the model.
theta
The angle of the major axis. It is in radians, measured counter-clockwise from the X0 axis (i.e. the line X1=0).
ampl
The amplitude refers to the maximum peak of the model.

Notes

The functional form of the model for points is:

f(x0,x1) = ampl / (1 + 4 * r(x0,x1)^2)

r(x0,x1)^2 = xoff(x0,x1)^2 * (1-ellip)^2 + yoff(x0,x1)^2 ------------------------------------------- fwhm^2 * (1-ellip)^2

xoff(x0,x1) = (x0 - xpos) * cos(theta) + (x1 - ypos) * sin(theta)

yoff(x0,x1) = (x1 - ypos) * cos(theta) - (x0 - xpos) * sin(theta)

and for an integrated grid it is the integral of this over the bin.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023